package market.Lms.Consumable.vo;

import java.util.Date;

import market.Lms.Consumable.mapper.LmsConsumableWriteOffInfoMapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Id;
import com.hnshituo.orm.annotation.Table;

@Table(name="lms_consumable_write_off_info", namespace=LmsConsumableWriteOffInfoMapper.class)
public class LmsConsumableWriteOffInfo {
	
	//2.3.2.5	冲销单信息主表
	
	@Id
	//冲销单编号
	private String off_no;

	@Column
	//入库单编号
	private String in_no;

	@Column
	//仓库编号
	private String warehouse_no;

	@Column
	//仓库名称
	private String warehouse_name;

	@Column
	//供应单位编号
	private String supplier_no;

	@Column
	//供应单位名称
	private String supplier_name;

	@Column
	@JsonFormat(pattern = "yyyy-MM-dd")
	//业务时间
	private Date off_date;

	@Column
	//备注
	private String memo;

	@Column
	//经办人编号
	private String create_man_no;

	@Column
	//经办人姓名
	private String create_man_name;

	@Column
	//管理员编号
	private String admin_no;

	@Column
	//管理员姓名
	private String admin_name;

	@Column
	@JsonFormat(pattern = "yyyy-MM-dd")
	//创建时间
	private Date create_time;

	@Column
	//修改人编号
	private String update_man_no;

	@Column
	//修改人姓名
	private String update_man_name;

	@Column
	@JsonFormat(pattern = "yyyy-MM-dd")
	//修改时间
	private Date update_time;

	@Column
	//删除人编号
	private String delete_man_no;

	@Column
	//删除人姓名
	private String delete_man_name;

	@Column
	@JsonFormat(pattern = "yyyy-MM-dd")
	//删除时间
	private Date delete_time;

	@Column
	//标志
	private String valid_flag;

	public String getOff_no() {
		return off_no;
	}

	public void setOff_no(String off_no) {
		this.off_no = off_no;
	}

	public String getIn_no() {
		return in_no;
	}

	public void setIn_no(String in_no) {
		this.in_no = in_no;
	}

	public String getWarehouse_no() {
		return warehouse_no;
	}

	public void setWarehouse_no(String warehouse_no) {
		this.warehouse_no = warehouse_no;
	}

	public String getWarehouse_name() {
		return warehouse_name;
	}

	public void setWarehouse_name(String warehouse_name) {
		this.warehouse_name = warehouse_name;
	}

	public String getSupplier_no() {
		return supplier_no;
	}

	public void setSupplier_no(String supplier_no) {
		this.supplier_no = supplier_no;
	}

	public String getSupplier_name() {
		return supplier_name;
	}

	public void setSupplier_name(String supplier_name) {
		this.supplier_name = supplier_name;
	}

	public Date getOff_date() {
		return off_date;
	}

	public void setOff_date(Date off_date) {
		this.off_date = off_date;
	}

	public String getMemo() {
		return memo;
	}

	public void setMemo(String memo) {
		this.memo = memo;
	}

	public String getCreate_man_no() {
		return create_man_no;
	}

	public void setCreate_man_no(String create_man_no) {
		this.create_man_no = create_man_no;
	}

	public String getCreate_man_name() {
		return create_man_name;
	}

	public void setCreate_man_name(String create_man_name) {
		this.create_man_name = create_man_name;
	}

	public String getAdmin_no() {
		return admin_no;
	}

	public void setAdmin_no(String admin_no) {
		this.admin_no = admin_no;
	}

	public String getAdmin_name() {
		return admin_name;
	}

	public void setAdmin_name(String admin_name) {
		this.admin_name = admin_name;
	}

	public Date getCreate_time() {
		return create_time;
	}

	public void setCreate_time(Date create_time) {
		this.create_time = create_time;
	}

	public String getUpdate_man_no() {
		return update_man_no;
	}

	public void setUpdate_man_no(String update_man_no) {
		this.update_man_no = update_man_no;
	}

	public String getUpdate_man_name() {
		return update_man_name;
	}

	public void setUpdate_man_name(String update_man_name) {
		this.update_man_name = update_man_name;
	}

	public Date getUpdate_time() {
		return update_time;
	}

	public void setUpdate_time(Date update_time) {
		this.update_time = update_time;
	}

	public String getDelete_man_no() {
		return delete_man_no;
	}

	public void setDelete_man_no(String delete_man_no) {
		this.delete_man_no = delete_man_no;
	}

	public String getDelete_man_name() {
		return delete_man_name;
	}

	public void setDelete_man_name(String delete_man_name) {
		this.delete_man_name = delete_man_name;
	}

	public Date getDelete_time() {
		return delete_time;
	}

	public void setDelete_time(Date delete_time) {
		this.delete_time = delete_time;
	}

	public String getValid_flag() {
		return valid_flag;
	}

	public void setValid_flag(String valid_flag) {
		this.valid_flag = valid_flag;
	}

}
